Need help? Chat now!

Hostwinds Tutorials

Search results for:


Table of Contents


How do I find my version of PHP, MySQL, and MariaDB?
cPanel
Ubuntu
Debian
Is mod_rewrite enabled in Apache?

WordPress System Requirements

Tags: Optimization,  WordPress,  cPanel 

How do I find my version of PHP, MySQL, and MariaDB?
cPanel
Ubuntu
Debian
Is mod_rewrite enabled in Apache?

WordPress can be run on any system that supports PHP, MySQL or MariaDB, and HTTPS. As long as you are running these services on your system, you can use WordPress. These requirements may change, so make sure to review the Server Requirements listed as this will continue to change and be updated.

How do I find my version of PHP, MySQL, and MariaDB?

cPanel

First: Login into your account

Second: Find Server Information on the right side.

Third: Review the versions of all the software on the server

Ubuntu

First: Find PHP Version by running the command below

php -v

Second: Find MySQL version by running the command below

mysql -V

Debian

First: Find PHP version by running the command below

dpkg –list | grep php

Second: Find MySQL version by running the command below

dpkg –list | grep mysql

Is mod_rewrite enabled in Apache?

The best way to ensure this is enabled is to create a file named .htaccess using File Manager or your favorite text editor and place this into a subdirectory, such as ~/public_html/testfolder. You can add the following lines to the .htaccess file and visit your test folder to make sure  mod_rewrite is enabled:

Options +FollowSymLinks
RewriteEngine On

Written by Hostwinds Team  /  March 30, 2018